import 'package:_private_core/_private_core.dart';
import '../chat_detail/chat_helper.dart';
import '../constant.dart';

int getTimestamp(data) => data[kDbTIMESTAMP];

String getContent(key, data) => ChatHelper.decrypt(key, data[kDbCONTENT]);

bool getIsMe(data) => data[kDbFROM] == loggedFirebaseId;

bool get isLogged => appPrefs.loginUser != null;

String get loggedUsername => appPrefs.loginUser?.username ?? '';

String get loggedFirebaseId => appPrefs.loginUser?.firebaseId ?? '';
